Google to require all devices launched after 31st January 2020 to run Android 10

Soon, Google will stop approving new devices running Android 9 or earlier to have Google services preloaded on them

Rate This